package com.siwei.rsmonitoring.service;

import java.util.List;

import com.siwei.rsmonitoring.domain.TDkjbxxHgx;
import com.siwei.rsmonitoring.domain.TDkjbxxHgxRecord;
import com.siwei.rsmonitoring.domain.vo.TDkjbxxHgxRecordSplitVo;

/**
 * 地块基本信息合规性判定Service接口
 *
 * @author siwei
 * @date 2025-02-10
 */
public interface ITDkjbxxHgxService {
    /**
     * 查询地块基本信息合规性判定
     *
     * @param id 地块基本信息合规性判定主键
     * @return 地块基本信息合规性判定
     */
    public TDkjbxxHgx selectTDkjbxxHgxById(String id);

    public TDkjbxxHgxRecord selectTDkjbxxHgxInfo(String dkid, String auditflowStep, String auditflowId);

    /**
     * 查询地块基本信息合规性判定列表
     *
     * @param tDkjbxxHgx 地块基本信息合规性判定
     * @return 地块基本信息合规性判定集合
     */
    public List<TDkjbxxHgx> selectTDkjbxxHgxList(TDkjbxxHgx tDkjbxxHgx);

    /**
     * 新增地块基本信息合规性判定
     *
     * @param tDkjbxxHgx 地块基本信息合规性判定
     * @return 结果
     */
    public int insertTDkjbxxHgx(TDkjbxxHgx tDkjbxxHgx);

    public int addTDkjbxxHgx(TDkjbxxHgxRecord tDkjbxxHgxRecord);

    public List<TDkjbxxHgxRecordSplitVo> splitTDkjbxxHgx(TDkjbxxHgxRecordSplitVo tDkjbxxHgxRecordSplitVo);

    /**
     * 修改地块基本信息合规性判定
     *
     * @param tDkjbxxHgx 地块基本信息合规性判定
     * @return 结果
     */
    public int updateTDkjbxxHgx(TDkjbxxHgx tDkjbxxHgx);

    /**
     * 批量删除地块基本信息合规性判定
     *
     * @param ids 需要删除的地块基本信息合规性判定主键集合
     * @return 结果
     */
    public int deleteTDkjbxxHgxByIds(String[] ids);

    /**
     * 删除地块基本信息合规性判定信息
     *
     * @param id 地块基本信息合规性判定主键
     * @return 结果
     */
    public int deleteTDkjbxxHgxById(String id);
}
